diff --git a/tests/test_apt.sh b/tests/test_apt.sh
index b9aa38792671562545b3ee5f700e96a8474737aa..3c185764610635df74fe128893628fecc915a8d9 100755
--- a/tests/test_apt.sh
+++ b/tests/test_apt.sh
@@ -1,7 +1,18 @@
 #!/bin/bash
 source /root/envsetup/envsetup.conf
 
-set -e
-
 echo "Testing apt-get upgrade"
+
+echo "Clean repository"
+apt-get clean
+
+#Testing if sl package exists and remove it
+dpkg -l | awk '{print $2}' | grep '^sl$'
+
+if [ "$?" -eq "0" ]; then
+   echo "Removing already installed testing package"
+   apt-get -y remove sl
+fi 
+
+# Installation testing package sl
 apt-get update && apt-get -y install sl && apt-get -y remove sl